import 'package:be_happy/core/result.dart';
import 'package:be_happy/domain/entities/subscription.dart';

import '../repositories/scooter_repository.dart';

class GetSubscriptionByIdUsecase {
  final ScooterRepository repository;

  GetSubscriptionByIdUsecase(this.repository);

  Future<Result<Subscription>> call(int id) {
    return repository.getSubscriptionById(id);
  }
}
